Passer au contenu principal
GET
Get Products In Campaign

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Paramètres de requête

vendor_id
string | null

The ID of the vendor to get sponsored products.

next_page
string | null

A token provided in a previous response. If not empty, it is used to retrieve the page that follows.

limit
integer
défaut:100

The pagination limit.

Plage requise: x <= 100
look_ahead_hours
integer
défaut:0

Include products whose campaigns are scheduled to start within the N next given hours.

fetch_active_products
boolean
défaut:false

Whether to fetch only active products. If false, all products will be fetched even if the campaign or the bid are inactive.

ad_format
enum<string> | null

Filter by ad format. If not provided, all formats will be included.

Options disponibles:
listing,
banner,
sponsored_brand,
exclusive_listing,
exclusive_banner,
travel_listing,
flight_listing

Réponse

Successful Response

Scrolled response for products in campaign.

hasMore
boolean
requis

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

productsInCampaign
string[]
requis

List of sponsored product ids.

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Exemple:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="